Bug 175100 - CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gpdf (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
impact=important,reported=20051103,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 12:40 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-867
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
More complete patch taken from our xpdf update (5.19 KB, patch)
2005-12-06 13:54 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-12-06 12:40:14 EST
+++ This bug was initially created as a clone of Bug #173888 +++

Derek Noonburg sent us a patch for xpdf to correct a number of security issues.
 This is due to be public 20051201.

An attacker could construct a carefully crafted PDF file that could cause Xpdf
to crash or possibly execute arbitrary code when opened. 

This issue affects RHEL3, RHEL3, RHEL2.1

-- Additional comment from mjc@redhat.com on 2005-11-22 03:42 EST --
Created an attachment (id=121332)
Proposed patch from Derek
Comment 1 Josh Bressers 2005-12-06 13:34:58 EST
Ray,

If you can roll some new packages and let me know the n-v-r, I'll take care of
the errata.
Comment 2 Josh Bressers 2005-12-06 13:54:57 EST
Created attachment 121940 [details]
More complete patch taken from our xpdf update
Comment 6 Red Hat Bugzilla 2005-12-20 09:20:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-867.html

Note You need to log in before you can comment on or make changes to this bug.